package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.DomainGroupUserAddCmd;
import com.zcloud.domain.dto.DomainGroupUserPageQry;
import com.zcloud.domain.dto.DomainGroupUserUpdateCmd;
import com.zcloud.domain.dto.clientobject.DomainGroupUserCO;

import java.util.Collection;
import java.util.List;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:43
 */
public interface DomainGroupUserServiceI {
    PageResponse<DomainGroupUserCO> listPage(DomainGroupUserPageQry qry);

    SingleResponse<DomainGroupUserCO> add(DomainGroupUserAddCmd cmd);

    void edit(DomainGroupUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    List<DomainGroupUserCO> listAll(DomainGroupUserPageQry qry);
}

